package com.dsic.gj_erp.bean.sy;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 部门表
 * </p>
 *
 * @author xhj
 * @since 2021-03-23
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="DmDepart对象", description="部门表")
public class DmDepart implements Serializable{

    private static final long serialVersionUID=1L;

    @TableId(value = "depart_code", type = IdType.INPUT)
    private String departCode;

    private String departName;

    private String parentCode;

    @ApiModelProperty(value = "单位全称")
    private String departFullname;

    private String sortNo;

    @ApiModelProperty(value = "单位属性")
    private String departAttr;

    @ApiModelProperty(value = "单位类型")
    private String departType;

    @ApiModelProperty(value = "生产性质")
    private String manuType;

    @ApiModelProperty(value = "状态 1-有效(默认) 0-无效")
    private Integer departStatus;

    @ApiModelProperty(value = "制作标识 1-选择 0-未选择(默认)")
    private Integer manuFlag;

    @ApiModelProperty(value = "表面处理标识 1-选择 0-未选择(默认)")
    private Integer paintFlag;

    @ApiModelProperty(value = "配送标识 1-选择 0-未选择(默认)")
    private Integer distFlag;

    @ApiModelProperty(value = "水压标识 1-选择 0-未选择(默认)")
    private Integer syFlag;

    @ApiModelProperty(value = "负责人")
    private String charger;

    @ApiModelProperty(value = "座机电话")
    private String landlinePhone;

    @ApiModelProperty(value = "移动电话")
    private String mobilePhone;

    @ApiModelProperty(value = "描述")
    private String remark;

    @ApiModelProperty(value = "配送单位2022.2.8")
    private String  psDept;

    @ApiModelProperty(value = "涂装单位2022.2.8")
    private String  tzDept;

    @ApiModelProperty(value = "涂装单位2022.2.8")
    private String  clDept;

    @ApiModelProperty(value = "非包显示2022.2.8")
    private String  fbxs;

    @ApiModelProperty(value = "大包显示2022.2.8")
    private String  dbxs;

    @ApiModelProperty(value = "小包显示2022.2.8")
    private String  xbxs;

    //铁舾排序
    @TableField("sort_3")
    private String sort3;//结构排序
    @TableField("sort_4")
    private String sort4;//涂装排序
    @TableField("sort_5")
    private String sort5;//镀锌排序
    @TableField("sort_6")
    private String sort6;//配送排序
}
