package com.dsic.gj_erp.controller.fd;


import com.alibaba.excel.EasyExcel;
import com.dsic.gj_erp.annotation.AuthFunction;
import com.dsic.gj_erp.bean.ResultBean;
import com.dsic.gj_erp.bean.fd.ExcelExport;
import com.dsic.gj_erp.exception.CustomException;
import com.dsic.gj_erp.listeners.ExcelFdListener;
import com.dsic.gj_erp.service.fd.DmCzfddybService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author xhj
 * @since 2023-05-08
 */
@RestController
@RequestMapping("/api/dmCzfddyb")
public class DmCzfddybController {

    @Autowired
    DmCzfddybService dmCzfddybService;
    @PostMapping("/upload")
    @AuthFunction
    @ResponseBody
    public ResultBean upload(@RequestParam("file") MultipartFile file , String czbh, String isupload, HttpServletRequest req) throws Exception, CustomException {

        System.out.println(czbh);

        ExcelFdListener objectListener = new ExcelFdListener();
        EasyExcel.read(file.getInputStream(), ExcelExport.class, objectListener).sheet(0).headRowNumber(0).doRead();
        List<ExcelExport> objList = objectListener.getObjectList();
        Map map = dmCzfddybService.uploadFd(req, objList, czbh,isupload);
        return new ResultBean(map);
    }

    @PostMapping("/getCzFdBase")
    @AuthFunction
    public ResultBean getCzFdBase( HttpServletRequest req,@RequestBody Map<String, Object> map) throws Exception, CustomException {

        Map rmap = dmCzfddybService.getCzFdBase(req,map);
        return new ResultBean(rmap);
    }
    @PostMapping("/getList")
    @AuthFunction
    public ResultBean getList( HttpServletRequest req,@RequestBody Map<String, Object> map) throws Exception, CustomException {

        Map rmap = dmCzfddybService.getList(map);
        return new ResultBean(rmap);
    }

    @PostMapping("/getTpBase")
    @AuthFunction
    public ResultBean getTpBase( HttpServletRequest req,@RequestBody Map<String, Object> map) throws Exception, CustomException {

        Map rmap = dmCzfddybService.getTpBase(req,map);
        return new ResultBean(rmap);
    }
    @PostMapping("/getListFdMx")
    @AuthFunction
    public ResultBean getListFdMx( HttpServletRequest req,@RequestBody Map<String, Object> map) throws Exception, CustomException {

        Map rmap = dmCzfddybService.getListFdMx(map);
        return new ResultBean(rmap);
    }

}

