package com.dsic.gj_erp.pc;

import cn.hutool.core.util.StrUtil;
import lombok.Getter;
import lombok.Setter;
import lombok.extern.slf4j.Slf4j;

import java.util.ArrayList;
import java.util.List;

@Getter
@Setter
@Slf4j
public class 订货计划 {
    private String month;
    private String index;
    private String dcch;
    private String pls;//批量范围
    private List<String> plList;
    private String tonnage;
    private String sumWeight;
    private String allArriveData;//到齐日期
    private String key;
    public String getKey(){
        return this.month+this.dcch+pls;
    }
    public synchronized List<String> getPlList(){
        if (this.plList!=null){
            return this.plList;
        }
        this.plList=new ArrayList<>();
        if (this.pls.contains("/")){
            this.plsHandler3(this.pls);
            return this.plList;
        }

        if (this.pls.contains("、")){
            this.plsHandler2(this.pls);
            return this.plList;
        }
        if (this.pls.contains("-")){
            this.plsHandler1(pls);
            return this.plList;
        }
        this.plList.add(this.formatPl(this.pls));
        return this.plList;
    }

    private void plsHandler3(String pls){
        String[] _pls = this.pls.split("/");
        for (String tmp:_pls){
            if (tmp.contains("、")){
                this.plsHandler2(this.pls);
                continue;
            }
            this.plList.add(this.formatPl(tmp));
        }
    }

    private void plsHandler2(String pls){
        String[] _pls = this.pls.split("、");
        for (String tmp:_pls){
            if (tmp.indexOf("-")>0){
                this.plsHandler1(tmp);
                continue;
            }
            this.plList.add(this.formatPl(tmp));
        }
    }

    private void plsHandler1(String pls){
        List<String> split = StrUtil.split(pls, "-");
        String logMsg=StrUtil.format("订货计划--船号:{},批量范围格式错误:{}",dcch,pls);
        if (split.size()!=2){
            log.error(logMsg);
            throw new RuntimeException(logMsg);
        }
        try {
            int start=Integer.parseInt(split.get(0));
            int end=Integer.parseInt(split.get(1));
            for (int i=start;i<=end;i++){
                this.plList.add(this.formatPl(i+""));
            }
        }catch (Exception e){
            log.error(logMsg);
            throw new RuntimeException(logMsg);
        }
    }

    private String formatPl(String pl){
        return String.format("%03d",Integer.parseInt(pl));
    }
}
